View Issue Details

IDProjectCategoryView StatusLast Update
0009779ScribusGraphics / Image Framespublic2011-12-30 16:39
ReporterJackGruff Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.4.0svn 
Target VersionFixed in Version1.4.0svn 
Summary0009779: Compounding column margin /w image contour
DescriptionWhen I set the distance of text from the side(s) of a column inside a text frame, I expect that distance to be independent of everything else.

Also, if I understand correctly, if one wants to give a picture a buffer to stop text wrapping around it very close, you just enlarge its contour line and set that for text wrapping.

Here's the problem, Scribus is adding the distance of the column margins to the contour line with images that "push" up against a text frame. It needs to handle these separately.

See attachment for example, note how the text is further away from the image than intended.

See the link under "Additional Information" to a thread on the new forum for a image that shows how other DTP software doesn't do this. Discussion on it there is welcome.
Additional Informationhttp://forums.scribus.net/index.php/topic,7.0.html
TagsNo tags attached.
Patch

Activities

JackGruff

2011-02-26 16:36

reporter  

Scribus.PNG (219,879 bytes)
Scribus.PNG (219,879 bytes)

cezaryece

2011-06-12 23:36

developer   ~0026376

Please delete all my patches from this report.
Full and (as usual with big hope) working solution will be uploaded to report 0009436 "wrong text formating - text extend margins or columns".
Both issues are placed in Page_Item::layout() function and are very related, so both will be fixed by one patch.

cbradney

2011-06-13 11:36

administrator   ~0026382

Patches deleted

cezaryece

2011-06-15 06:43

developer   ~0026401

Check patch attached to 0009436 as it fixing that issue.

cezaryece

2011-10-12 05:27

developer   ~0027008

Isn`t it fixed?

jghali

2011-10-18 20:37

administrator   ~0027045

Yep, fixed! Thanks for noticing!

Issue History

Date Modified Username Field Change
2011-02-26 16:36 JackGruff New Issue
2011-02-26 16:36 JackGruff File Added: Scribus.PNG
2011-05-26 08:50 cezaryece File Added: text_overflow_fix.patch
2011-05-26 10:57 cezaryece File Added: text_overflow_fix2.patch
2011-06-12 23:36 cezaryece Note Added: 0026376
2011-06-13 11:36 cbradney File Deleted: text_overflow_fix.patch
2011-06-13 11:36 cbradney File Deleted: text_overflow_fix2.patch
2011-06-13 11:36 cbradney Note Added: 0026382
2011-06-15 06:43 cezaryece Note Added: 0026401
2011-10-12 05:27 cezaryece Note Added: 0027008
2011-10-18 20:37 jghali Note Added: 0027045
2011-10-18 20:37 jghali Status new => resolved
2011-10-18 20:37 jghali Fixed in Version => 1.4.0svn
2011-10-18 20:37 jghali Resolution open => fixed
2011-10-18 20:37 jghali Assigned To => jghali
2011-12-30 16:39 cbradney Status resolved => closed
2015-09-17 20:10 Kunda Category Graphics / Image Frames => Graphics/Img Frames
2015-09-17 20:11 Kunda Category Graphics/Img Frames => Graphics / Image Frames